binutils 2.21.0.20110327-2ubuntu2 source package in Bilimbi Test

Changelog

binutils (2.21.0.20110327-2ubuntu2) natty; urgency=low

  * Fix architecture field for binutils-gold (powerpcspe).
  * Add support for arm-*-gnueabihf targets. Closes: #621029.
  * Fix PR ld/12654: Pproperly handle R_386_TLS_LDO_32 for PIE. LP: #663294.
 -- Matthias Klose <email address hidden>   Sat, 09 Apr 2011 13:35:11 +0200

Upload details

Uploaded by:
Matthias Klose on 2011-04-09
Uploaded to:
Natty
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
devel
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Natty: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
binutils_2.21.0.20110327.orig.tar.gz 21.7 MiB 67b10f4c784025294b785ef18af3563edfbdef4f05d71083d01bd4ef7a77c391
binutils_2.21.0.20110327-2ubuntu2.diff.gz 142.5 KiB 050d2b3487661eb1b94b017aa86e880d61fff5cbec4a3e46124c3c2c724c7863
binutils_2.21.0.20110327-2ubuntu2.dsc 1.6 KiB 470402017dcf3c9324d1bab84fea2910c7a1644a4961a25dba212a4a145e0018

View changes file

Binary packages built by this source

binutils: The GNU assembler, linker and binary utilities

 The programs in this package are used to assemble, link and manipulate
 binary and object files. They may be used in conjunction with a compiler
 and various libraries to build programs.

binutils-dev: The GNU binary utilities (BFD development files)

 This package includes header files and static libraries necessary to build
 programs which use the GNU BFD library, which is part of binutils. Note
 that building Debian packages which depend on the shared libbfd is Not
 Allowed.

binutils-gold: The (experimental) GNU gold linker utility

 Gold is a new linker, still in development, which is faster than the
 current linker included in binutils. It currently fails to link some
 applications and libraries (i.e. won't link usable kernels).
 .
 This package diverts the GNU linker (ld) with the experimental gold
 linker.

binutils-multiarch: Binary utilities that support multi-arch targets

 The programs in this package are used to manipulate binary and object
 files that may have been created on other architectures. This package
 is primarily for multi-architecture developers and cross-compilers and
 is not needed by normal users or developers. Note that a cross-assembling
 version of gas is not included in this package, just the binary utilities.
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE. It's meant only for those
 requiring support for reading info from binaries from other architectures.

binutils-static: statically linked binutils tools

 This package contains statically linked binutils tools used
 for linking kernel modules needed to mount /usr or /. At the moment,
 it only contains ld.

binutils-static-udeb: statically linked binutils tools for for the Debian installer

 This package contains statically linked binutils tools used
 for linking kernel modules needed to mount /usr or /. At the moment,
 it only contains ld.